%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9
%global py_minor 16

%global python_major python%{py_major}

%global pkgname jmespath

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        0.9.4
Release:        2
Summary:        A low-level interface to a growing number of Amazon Web Services
License:        UNKNOWN
URL:            https://github.com/jmespath/jmespath.py
Source0:        %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
Group: 		Development/Libraries
Prefix: 	%{_prefix}


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
A low-level interface to a growing number of Amazon Web Services.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}

%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root ${RPM_BUILD_ROOT}
cd ${RPM_BUILD_ROOT}%{_bindir}
mv jp.py jp3.9.py
ln -s jp3.9.py jp.py

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE.txt PKG-INFO README.rst
%{_bindir}/jp3.9.py
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)
%{_bindir}/jp.py

%changelog
* Wed Jan 11 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> - 0.9.4-2
- jmespath for python3.9

* Wed Nov 21 2019 Reshma V Kumar <reskumar@in.ibm.com> - 0.9.4-1
- Update to latest version
- Build with python3

* Tue May 9 2017 Ravi Sooryakanth Hirekoorabar <rhirekur@in.ibm.com> - 0.9.2
- First build for AIX 6.1
